.footer {
  position: relative;
  background-color: var(--color-white);
}

.footer__wrap {
  padding: 2.5rem 2rem 2rem;
}

.footer__logo {
  width: 27rem;
}

.footer__container {
  display: grid;
  grid-template-columns: 45% 35%;
  justify-content: center;
}

.footer__section {
  margin-top: 4rem;
}

.footer__heading {
  font-size: 1.4rem;
  font-weight: 500;
  color: var(--color-black-dark);
}

.footer__list {
  width: fit-content;
  margin-top: 3rem;
  font-size: 1.4rem;
  font-weight: 400;
}

.footer__item {
  margin-top: 1.5rem;
}

.footer__link {
  line-height: 1.2;
  color: var(--color-black-dark);
  transition: opacity 0.3s;
}

.footer__link:hover {
  color: var(--color-gray-dark);
  opacity: 0.7;
}

.foonter__link--company {
  white-space: nowrap;
}

.footer__associate__company {
  font-weight: 500;
  color: var(--color-black-dark);
}

.footer__square {
  width: 0.6rem;
  height: 0.6rem;
  transform: translate(0, -1.2rem);
}

.footer__square__holdings {
  width: 0.6rem;
  height: 0.6rem;
  transform: translate(-0.2rem, -1.2rem);
}

.footer__square__steel {
  width: 0.6rem;
  height: 0.6rem;
  transform: translate(-0.2rem, -1.2rem);
}

.footer__square__detroit {
  width: 0.6rem;
  height: 0.6rem;
  transform: translate(23.1rem, -2.7rem);
}

.footer__line {
  height: 0.01rem;
  margin-top: 3rem;
  color: var(--color-gray-light);
}

.footer__credits {
  margin-top: 2.5rem;
  font-size: 1.3rem;
  color: var(--color-gray-dark);
  text-align: center;
}

.footer__note {
  display: flex;
  justify-content: space-around;
}

.footer__copyright {
  margin-top: 2rem;
  font-size: 1.2rem;
  line-height: 1.3;
}

@media screen and (min-width: 768px) {
  .footer {
    padding: 3rem 4rem 1rem;
  }

  .footer__wrap {
    padding: 2.5rem 0 0.8rem;
  }

  .footer__logo {
    width: 33rem;
  }

  .footer__container {
    display: flex;
    flex-flow: row wrap;
    justify-content: space-between;
  }

  .footer__section {
    width: 20%;
    margin-top: 3rem;
  }

  .footer__heading {
    font-size: 1rem;
  }

  .footer__list {
    margin-top: 2rem;
    font-size: 1rem;
    line-height: 1.4;
  }

  .footer__item {
    margin-top: 1.4rem;
  }

  .footer__square {
    transform: translate(0, -0.9rem);
  }

  .footer__square__holdings {
    transform: translate(-0.2rem, -0.9rem);
  }

  .footer__square__steel {
    transform: translate(-0.2rem, -0.9rem);
  }

  .footer__square__detroit {
    transform: translate(16.4rem, -2.3rem);
  }

  .footer__line {
    height: 0.03rem;
    margin-top: 4rem;
  }

  .footer__credits {
    display: flex;
    justify-content: space-between;
    margin-top: 1rem;
    font-size: 1rem;
  }

  .footer__announce {
    margin-left: 3rem;
  }

  .footer__note {
    display: flex;
    margin-top: 0;
  }

  .footer__copyright {
    margin-top: 0;
    font-size: 1.3rem;
  }
}

@media screen and (min-width: 1024px) {
  .footer__square {
    transform: translate(-0.2rem, -1rem);
  }

  .footer__square__holdings {
    transform: translate(-0.2rem, -1rem);
  }

  .footer__square__steel {
    transform: translate(-0.2rem, -1rem);
  }

  .footer__square__detroit {
    transform: translate(-0.2rem, -1rem);
  }
}

@media screen and (min-width: 1440px) {
  .footer {
    padding: 5.64rem 7.5rem 1.62rem;
  }

  .footer__wrap {
    padding: 2.5rem 2rem 0.8rem;
  }

  .footer__logo {
    width: 39.55rem;
  }

  .footer__section {
    margin-top: 6.46rem;
  }

  .footer__heading {
    font-size: 1.27rem;
  }

  .footer__list {
    margin-top: 3.33rem;
    font-size: 1.27rem;
  }

  .footer__item {
    margin-top: 1.54rem;
  }

  .foonter__link--company {
    white-space: normal;
  }

  .footer__square {
    width: 0.7rem;
    height: 0.7rem;
    transform: translate(-0.2rem, -1.2rem);
  }

  .footer__square__holdings {
    width: 0.7rem;
    height: 0.7rem;
    transform: translate(-0.2rem, -1.2rem);
  }

  .footer__square__steel {
    width: 0.7rem;
    height: 0.7rem;
    transform: translate(-0.2rem, -1.2rem);
  }

  .footer__square__detroit {
    width: 0.7rem;
    height: 0.7rem;
    transform: translate(-0.2rem, -1.2rem);
  }

  .footer__line {
    height: 0.04rem;
    margin-top: 6.99rem;
  }

  .footer__credits {
    margin-top: 1.64rem;
    font-size: 1.12rem;
  }

  .footer__announce {
    margin-left: 4.07rem;
  }
}
